link: search/albums/%22Ice%20Age%3A%20The%20Meltdown%22
meta: {}
query: '"Ice Age: The Meltdown"'
results:
  albums: []
  artists: []
  orgs: []
  products: []
sections:
- albums
- artists
- orgs
- products
vgmdb_link: https://vgmdb.net/search?q=%22Ice%20Age%3A%20The%20Meltdown%22
